# RPM Spec file for redwax-signtext

Name:      redwax-signtext
Version:   0.9.0
Release:   1%{?dist}
Summary:   Sign text on the web using a smartcard
License:   ASL 2.0

URL:       https://redwax.eu/rst/
Source0:   https://archive.redwax.eu/dist/rs/%{name}-%{version}/%{name}-%{version}.tar.bz2
BuildRequires: gcc
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: intltool
BuildRequires: pkgconfig(glib-2.0) >= 2.66
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(gck-1)
BuildRequires: pkgconfig(gpg-error)
BuildRequires: pkgconfig(ksba)
BuildRequires: pkgconfig(libgcrypt)

%description
The Redwax SignText native extension and web extension allows text
originating on a website to be signed by a certificate on a smartcard
or other PKCS11 accessible device, and be returned as a PKCS7
signature.

This replicates the original functionality of Netscape / Firefox's
crypto.signText() function.

%prep
%setup -q
rm -rf %{_builddir}/%{name}-%{version}/debian
%build
intltoolize --automake --copy --force
%configure
%make_build

%install
%make_install

%files
%{_libexecdir}/redwax-signtext-native
%{_libdir}/mozilla/native-messaging-hosts/eu.redwax.Redwax.SignText.json
%{_sysconfdir}/chromium/native-messaging-hosts/_eu.redwax.Redwax.SignText_.json
%{_sysconfdir}/opt/chrome/native-messaging-hosts/_eu.redwax.Redwax.SignText_.json

%doc AUTHORS ChangeLog README
%license COPYING

%changelog
* Wed Sep 14 2022 Graham Leggett <minfrin@sharp.fm> - 0.9.0-1
- Initial version of the package


